@ ECHO OFF

mkdir temptest

cd h5ls%2\%1

h5ls%2 -w80 -h 2> ..\..\temptest\help-1.results
h5ls%2 -w80 -help 2> ..\..\temptest\help-2.results
h5ls%2 -w80 -? 2> ..\..\temptest\help-3.results

h5ls%2 -w80 ..\..\testfiles\tall.h5 > ..\..\temptest\tall-1.results
h5ls%2 -w80 -r -d ..\..\testfiles\tall.h5 > ..\..\temptest\tall-2.results
h5ls%2 -w80 ..\..\testfiles\tgroup.h5 > ..\..\temptest\tgroup.results
h5ls%2 -w80 -r -g ..\..\testfiles\tgroup.h5 > ..\..\temptest\tgroup-1.results
h5ls%2 -w80 -r -d ..\..\testfiles\tdset.h5 > ..\..\temptest\tdset-1.results
h5ls%2 -w80 -r ..\..\testfiles\tslink.h5 > ..\..\temptest\tslink-1.results
h5ls%2 -w80 ..\..\testfiles\thlink.h5 > ..\..\temptest\thlink-1.results
h5ls%2 -w80 -r -d ..\..\testfiles\tcompound.h5 > ..\..\temptest\tcomp-1.results
h5ls%2 -w80 -r -d ..\..\testfiles\tnestedcomp.h5 > ..\..\temptest\tnestcomp-1.results
h5ls%2 -w80 -r -d ..\..\testfiles\tloop.h5 > ..\..\temptest\tloop-1.results
h5ls%2 -w80 -r -d ..\..\testfiles\tstr.h5 > ..\..\temptest\tstr-1.results
h5ls%2 -w80 -r -d ..\..\testfiles\tsaf.h5 > ..\..\temptest\tsaf.results
h5ls%2 -w80 -r -d ..\..\testfiles\tvldtypes1.h5 > ..\..\temptest\tvldtypes1.results
h5ls%2 -w80 -r -d ..\..\testfiles\tarray1.h5 > ..\..\temptest\tarray1.results
h5ls%2 -w80 -d ..\..\testfiles\tempty.h5 > ..\..\temptest\tempty.results
h5ls%2 -w80 -v -S ..\..\testfiles\tattr2.h5 > ..\..\temptest\tattr2.results

cd ..\..\temptest
mkdir fctemp

REM ##############################################################################
REM ##############################################################################
REM ###			                    T H E   T E S T S                              ###
REM ##############################################################################
REM ##############################################################################

REM Toss in a bunch of tests.  Not sure if they are the right kinds.
REM test the help syntax
call ..\deleteline help-1.results 1 
cd ..\testfiles
call ..\deleteline help-1.ls 4
cd ..\temptest\fctemp
fc help-1.ls help-1.results
cd ..

call ..\deleteline help-2.results 1 
cd ..\testfiles
call ..\deleteline help-2.ls 4
cd ..\temptest\fctemp
fc help-2.ls help-2.results
cd ..

call ..\deleteline help-3.results 1 
cd ..\testfiles
call ..\deleteline help-3.ls 4
cd ..\temptest\fctemp
fc help-3.ls help-3.results
cd ..

REM test simple command
call ..\deleteline tall-1.results 1 
cd ..\testfiles
call ..\deleteline tall-1.ls 4
cd ..\temptest\fctemp
fc tall-1.ls tall-1.results
cd ..

call ..\deleteline tall-2.results 1 
cd ..\testfiles
call ..\deleteline tall-2.ls 4
cd ..\temptest\fctemp
fc tall-2.ls tall-2.results
cd ..

call ..\deleteline tgroup.results 1 
cd ..\testfiles
call ..\deleteline tgroup.ls 4
cd ..\temptest\fctemp
fc tgroup.ls tgroup.results
cd ..

REM test for displaying groups
call ..\deleteline tgroup-1.results 1 
cd ..\testfiles
call ..\deleteline tgroup-1.ls 4
cd ..\temptest\fctemp
fc tgroup-1.ls tgroup-1.results
cd ..

REM test for displaying simple space datasets
call ..\deleteline tdset-1.results 1 
cd ..\testfiles
call ..\deleteline tdset-1.ls 4
cd ..\temptest\fctemp
fc tdset-1.ls tdset-1.results
cd ..

REM test for displaying soft links
call ..\deleteline tslink-1.results 1 
cd ..\testfiles
call ..\deleteline tslink-1.ls 4
cd ..\temptest\fctemp
fc tslink-1.ls tslink-1.results
cd ..

REM tests for hard links
call ..\deleteline thlink-1.results 1 
cd ..\testfiles
call ..\deleteline thlink-1.ls 4
cd ..\temptest\fctemp
fc thlink-1.ls thlink-1.results
cd ..

REM tests for compound data types
call ..\deleteline tcomp-1.results 1 
cd ..\testfiles
call ..\deleteline tcomp-1.ls 4
cd ..\temptest\fctemp
fc tcomp-1.ls tcomp-1.results
cd ..

REM test for the nested compound type
call ..\deleteline tnestcomp-1.results 1 
cd ..\testfiles
call ..\deleteline tnestcomp-1.ls 4
cd ..\temptest\fctemp
fc tnestcomp-1.ls tnestcomp-1.results
cd ..

REM test for loop detection
call ..\deleteline tloop-1.results 1 
cd ..\testfiles
call ..\deleteline tloop-1.ls 4
cd ..\temptest\fctemp
fc tloop-1.ls tloop-1.results
cd ..

REM test for string 
call ..\deleteline tstr-1.results 1 
cd ..\testfiles
call ..\deleteline tstr-1.ls 4
cd ..\temptest\fctemp
fc tstr-1.ls tstr-1.results
cd ..

REM test test file created from lib SAF team
call ..\deleteline tsaf.results 1 
cd ..\testfiles
call ..\deleteline tsaf.ls 4
cd ..\temptest\fctemp
fc tsaf.ls tsaf.results
cd ..

REM test for variable length data types
call ..\deleteline tvldtypes1.results 1 
cd ..\testfiles
call ..\deleteline tvldtypes1.ls 4
cd ..\temptest\fctemp
fc tvldtypes1.ls tvldtypes1.results
cd ..

REM test for array data types
call ..\deleteline tarray1.results 1 
cd ..\testfiles
call ..\deleteline tarray1.ls 4
cd ..\temptest\fctemp
fc tarray1.ls tarray1.results
cd ..

REM test for empty data
call ..\deleteline tempty.results 1 
cd ..\testfiles
call ..\deleteline tempty.ls 4
cd ..\temptest\fctemp
fc tempty.ls tempty.results
cd ..

REM test for all dataset types written to attributes
REM enable -S for avoiding printing NATIVE types
call ..\deleteline tattr2.results 1 
cd ..\testfiles
call ..\deleteline tattr2.ls 4
cd ..\temptest\fctemp
fc tattr2.ls tattr2.results
cd ..

cd ..

rmdir /s/q temptest